AR_VERSION = ActiveRecord.gem_version.version.to_f

class CreateCounters < ActiveRecord::Migration[AR_VERSION]
  def change
    create_table :counters do |t|
      t.string :countable_type, limit: 64
      t.integer :countable_id, unsigned: true
      t.string :countable_name
      t.integer :value
    end

    add_index :counters, [:countable_id, :countable_type, :countable_name], name: :index_counters_on_countable_id_type_name
  end
end
